<?php
/*
Filename: 		comments.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores 
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/

// Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) { die ('Please do not load this page directly. Thanks!'); }

if (!empty($post->post_password)) { // if there's a password
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
		echo('<p class="nocomments">This post is password protected. Enter the password to view comments.<p>');
		return;
	}
}

$iCommentCount = 0;

?>

<div id="comment_area">

<?php if ('open' == $post->comment_status) : ?>

	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="form_comments" class="prominent reduced"><div class="inner">
	
		<h2>Write a Comment</h2>
		<p>Take a moment to comment and tell us what you think.  Some basic HTML is allowed for formatting.</p>
	
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
		<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
<?php else : ?>
	
<?php if ( $user_ID ) : ?>
	
		<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. | <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Click to log out</a>.</p>
	
<?php else : ?>
	
		<p><input type="text" id="input_comments_name" name="author" value="" class="input standard" /> <label for="input_comments_name">Name <?php if ($req) echo "(required)"; ?></label></p>
		<p><input type="text" id="input_comments_email" name="email" value="" class="input standard" /> <label for="input_comments_email">E-mail <?php if ($req) echo "(required)"; ?></label></p>
		<p><input type="text" id="input_comments_url" name="url" value="" class="input standard" /> <label for="input_comments_url">Website</label></p>
		
<?php endif; ?>
	
		<p><textarea name="comment" id="input_comment" rows="10" class="input textarea" >Type your comment here.</textarea></p>
	  
		<p><input type="submit" id="input_comments_submit" name="submit" value="Submit Comment"/> <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
	
<?php do_action('comment_form', $post->ID); ?>
	
<?php endif; ?>

	</div></form>

<?php endif; ?>

	<div id="loop_comments">
	
		<a name="comments"></a>
		
		<h2>Reader Comments</h2>
		
<?php if ($comments) : ?>
	
<?php foreach ($comments as $comment) : ?>
		<a name="comment-<?php comment_ID() ?>"></a>
		<div id="comment_<?php comment_ID() ?>" class="comment">
			<dl class="metadata reduced">
				<dt class="comment_number">Comment:</dt> <dd class="comment_number"><?php $iCommentCount++; echo($iCommentCount); ?></dd>
				<dt class="writer">Written by:</dt> <dd class="writer"><?php comment_author_link() ?><br /></dd>
				<dt class="timedate">Posted on:</dt> <dd class="timedate"><?php comment_date('F jS, Y') ?> at <?php comment_time() ?> <?php edit_comment_link('Edit','',''); ?></dd>
			</dl>
			<div class="content">
				<?php if ($comment->comment_approved == '0') { echo('<p>Your comment is awaiting moderation.</p>'); } ?>
				<?php comment_text() ?>
			</div>
		</div>
	
<?php endforeach; ?>
	
<?php else : ?>
	
	<?php if ('open' == $post->comment_status) : ?> 
				<p>Be the first to leave a comment!</p>
				
	<?php else :  ?>
				<p>Sorry, comments are closed.</p>
				
	<?php endif; ?>
		
<?php endif; ?>
	
	</div>
	
	<br class="clear" />

	<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/assets/js/form_comments.js"></script>

</div>
