<?php
/*
Filename: 		single.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores 
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/

?>
<?php get_header(); ?>
<!-- Content Start -->

			<div id="loop_single">
			
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

				<div id="post_<?php the_ID(); ?>" class="post">

					<div id="post_meta" class="prominent reduced"><div class="inner">
						<h2>Information and Links</h2>
						<p>Join the fray by commenting, tracking what others have to say, or linking to it from your blog.</p>

						<dl class="metadata odd">
							<dt class="">Information</dt>
							<dd class="icon date"><a href="<?php echo(get_month_link(get_the_time('Y'), get_the_time('m'))); ?>"><?php the_time('F jS, Y') ?></a></dd>
							<dd class="icon comment"><a href="#comments"><?php comments_number('No Responses','One Response','% Responses'); ?></a></dd>
						</dl>

						<dl class="metadata even">
							<dt>Categories</dt>
							<dd class="icon category"><?php the_category('</dd><dd class="icon category">') ?></dd>
						</dl>
						
						<dl class="metadata odd">
							<dt>Feeds and Links</dt>
							<dd class="icon feed"><?php comments_rss_link('Comment Feed'); ?></dd>
							<dd class="icon entry"><a href="<?php get_author_link(true, get_the_author_ID(), get_the_author_login()); ?>">From This Author</a></dd>
							<dd class="icon delicious"><a href="http://del.icio.us/post?url=<?php the_permalink() ?>&title=<?php the_title(); ?> ">Del.icio.us</a></dd>
							<dd class="icon digg"><a href="http://www.digg.com/submit" target="_new">Digg</a></dd>
							<dd class="icon technorati"><a href="http://technorati.com/cosmos/search.html?url=<?php the_permalink() ?>">Technorati</a></dd>
						</dl>

						<br class="clear" />

						<dl class="other">
							<dt>Other Posts</dt>
							<dd class="icon jump"><?php next_post_link('%link') ?></dd>
							<dd class="icon jump"><?php previous_post_link('%link') ?></dd>
						</dl>

					</div></div>

					<h3 class="title"><a href="<?php the_permalink() ?>"><span><?php the_title(); ?></span></a></h3>
					<div class="timestamp author">Posted by <?php the_author_posts_link(); ?> on <?php the_time('F jS, Y') ?></div>
					<div class="content">
						<?php the_content(); ?>
					</div>

				</div>

				
				<br class="clear" />

			</div>
<br />
<?php comments_template(); ?>

<?php endwhile; else: ?>
	
<p>Sorry, no posts matched your criteria.</p>
	
<?php endif; ?>


<!-- Content End -->
<?php get_footer(); ?>