<?php
/*
Filename: 		home.php
Date: 			06-06-25
Copyright: 		2006, clores
Author: 		clores 
Description: 	Multi-Author Template for WordPress (Subtle)
Requires:
*/

$aOptions = get_option('gi_subtle_theme');

?>
<?php get_header(); ?>
<!-- Content Start -->

			<div id="loop_articles">

<?php 

if ($aOptions['lead_cats'] != '') { query_posts('category_name=' . $aOptions['lead_cats']); }

if (have_posts()) : 

	$iLeadIndex = 0;

	while (have_posts()) : the_post(); 

		$iLeadIndex++;
		$sPostClass = '';
		$bShowContent = true;

		if ($iLeadIndex <= $aOptions['lead_count']) {
			$sPostClass .= ' lead';
			$bShowContent = true;
		} else {
			$sPostClass .= ' summary';
			$bShowContent = false;
		}

		if ($iLeadIndex == $aOptions['lead_count'] + 1) {
			echo ('<h2>Previous Articles</h2>');
		}

?>
	
				<div id="post_<?php the_ID(); ?>" class="post<?php echo($sPostClass); ?>">
					<h3 class="title"><a href="<?php the_permalink() ?>"><span><?php the_title(); ?></span></a></h3>
					<div class="timestamp author">Posted by <?php the_author_posts_link(); ?> on <?php the_time('F jS, Y') ?>
					<?php if ($aOptions['show_metalinks']) : ?>
						<ul class="metalinks">
							<li class="icon comment"><?php comments_number('No Responses','One Response','% Responses'); ?></li>
							<li class="icon delicious"><a href="http://del.icio.us/post?url=<?php the_permalink() ?>&title=<?php the_title(); ?> ">Del.icio.us</a></li>
							<li class="icon digg"><a href="http://www.digg.com/submit" target="_new">Digg</a></li>
							<li class="icon technorati"><a href="http://technorati.com/cosmos/search.html?url=<?php the_permalink() ?>">Technorati</a></li>
						</ul>
					<?php endif; ?>
					</div>
					<?php if ($bShowContent) : ?>
					<div class="content">
						<?php the_content(''); ?>
						<ul class="links">
							<li class="icon jump"><?php if (strpos(get_the_content('^&^&'), '^&^&') > 0) { ?><a href="<?php the_permalink() ?>#more-<?php the_ID(); ?>">Continue reading</a> or <?php } ?><a href="<?php the_permalink() ?>#comments">Leave a comment...</a></li>
						</ul>
					</div>
					<?php endif; ?>
				</div>

<?php 

	endwhile; 

else : 
	
?>

				<h2>Oops - There's Nothing Here</h2>
				<p>It looks like the blog owner hasn't written anything yet!</p>

<?php 

endif; 

?>

			</div>
			
<?php if ($aOptions['description'] != '') : ?>
			<div id="information" class="prominent reduced"><div class="inner">
				<?php echo($aOptions['description']); ?>
			</div></div>

<?php endif; ?>

			<div id="widgets">
				<div id="widgets_home_a" class="widget_set reduced"><?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('widgets_home_a') ) { get_sidebar(); } ?></div>
				<div id="widgets_home_b" class="widget_set reduced"><?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('widgets_home_b') ) { echo(' '); } ?></div>
			</div>


			
<!-- Content End -->
<?php get_footer(); ?>